Subject: Re: bug#58513: describe-function should say that defconst variables are constant

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 14 Oct 2022 14:40:27 +0200

Phil Sainty <[email-masked]> writes:

> It does at least one thing different: if you load or eval a defconst
> for a variable which already exists, the value is updated.

Yes, that's true.

And we could start adding a symbol property saying that a constant is
meant to be constant, and perhaps start warning if people change it, but
that would make things slower for basic things like `setq', so I'm
pretty sure it's not worth it.

We could use that property to make describe-function say that the
variable isn't meant to be changed, though.  But is it worth adding to
the symbol plist just for that?  Hm...